Bank Connections
Register accounts under a customer API bank connection
Upsert accounts for an existing customer_api connection identified by DualEntry connection id.
POST
/
public
/
v2
/
bank-connections
/
{connection_id}
/
accounts
/
Register accounts under a customer API bank connection
curl --request POST \
--url https://api.dualentry.com/public/v2/bank-connections/{connection_id}/accounts/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"accounts": [
{
"account_id": "<string>",
"account_name": "<string>",
"truncated_account_number": "<string>",
"currency_iso_4217_code": "<string>"
}
]
}
'import requests
url = "https://api.dualentry.com/public/v2/bank-connections/{connection_id}/accounts/"
payload = { "accounts": [
{
"account_id": "<string>",
"account_name": "<string>",
"truncated_account_number": "<string>",
"currency_iso_4217_code": "<string>"
}
] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accounts: [
{
account_id: '<string>',
account_name: '<string>',
truncated_account_number: '<string>',
currency_iso_4217_code: '<string>'
}
]
})
};
fetch('https://api.dualentry.com/public/v2/bank-connections/{connection_id}/accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"connection_source_id": "<string>",
"status": "<string>",
"institution_name": "<string>",
"successfully_aggregated_at": "2023-11-07T05:31:56Z",
"last_sync_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"id": 123,
"account_id": "<string>",
"account_name": "<string>",
"status": "<string>",
"truncated_account_number": "<string>",
"currency_iso_4217_code": "<string>"
}
]
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Headers
Optional. A unique value (a UUID works well) identifying this operation. If the request is repeated with the same key, the original response is replayed instead of the operation running again, so a retry cannot create a duplicate record. Results are replayable for 48 hours. Reusing a key with a different request body returns 422.
Maximum string length:
255Path Parameters
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Last modified on August 18, 2026
Was this page helpful?
⌘I
Register accounts under a customer API bank connection
